Arch Remove/it: Difference between revisions

From FreeCAD Documentation
(Created page with "=== Script ===")
(Created page with "Lo strumento Rimuovi può essere usato nelle macro e dalla console python utilizzando la seguente funzione:")
Line 18: Line 18:
=== Script ===
=== Script ===


The Remove tool can by used in [[macros]] and from the python console by using the following function:
Lo strumento Rimuovi può essere usato nelle [[macros/it|macro]] e dalla console python utilizzando la seguente funzione:
'''removeComponents (objectsList,[hostObject])'''
'''removeComponents (objectsList,[hostObject])'''
* removes the given component or the components from the given list from their parents. If a host object is specified, this function will try adding the components as holes to the host object instead.
* removes the given component or the components from the given list from their parents. If a host object is specified, this function will try adding the components as holes to the host object instead.

Revision as of 08:45, 29 November 2013

Rimuovi

Posizione nel menu
Arch → Rimuovi
Ambiente
Architettura
Avvio veloce
Nessuno
Introdotto nella versione
-
Vedere anche
Aggiungi

Description

Lo strumento Rimuovi permette di eseguire 2 tipi di operazioni:

  • Rimuovere un sottocomponente di un oggetto Architettura, ad esempio rimuovere il cubo che è stato inserito in una parete per descrivere il comando Aggiungi.
  • Rimuovere un oggetto basato su forme, tipo un muro o una struttura, da un oggetto Architettura

Nell'immagine viene sottratto un parallepipedo da un muro

Utilizzo

  1. Selezionare un sottocomponente all'interno di un oggetto Architettura, oppure selezionare prima l'oggetto (o gli oggetti) da sottrarre, poi il componente Architettura da cui va sottratto (il componente Architettura deve essere selezionato per ultimo)
  2. Premere il pulsante Template:KEY/it

Script

Lo strumento Rimuovi può essere usato nelle macro e dalla console python utilizzando la seguente funzione:

removeComponents (objectsList,[hostObject])
  • removes the given component or the components from the given list from their parents. If a host object is specified, this function will try adding the components as holes to the host object instead.

Example:

 import FreeCAD, Arch, Draft, Part
 line = Draft.makeWire([FreeCAD.Vector(0,0,0),FreeCAD.Vector(2,2,0)])
 wall = Arch.makeWall(line)
 box = Part.makeBox(1,1,1)
 Arch.addComponents(box,wall)
 Arch.removeComponents(box)